Audit events endpoint
/audit_events endpoint is in flux as features are added, removed, and reworked.An audit event is a record of a specific change to another resource in the Reactor API, generated at the time the change is made. These are system events which can be subscribed to through the use of a callback. The /audit_events endpoint in the Reactor API allows you to programmatically manage audit events within your experience application.
Audit events are structured in the form of {RESOURCE_TYPE}.{EVENT}, such as build.created or rule.updated.
The resource type can be any of the following:
propertyextensiondata_elementrulerule_componentlibrarybuildenvironmenthost
The following events are supported for each resource type:
createdupdateddeleted
Getting started
The endpoint used in this guide is part of the Reactor API. Before continuing, please review the getting started guide for important information regarding how to authenticate to the API.
Retrieve a list of audit events list
You can retrieve a list of audit events for all properties owned by your organization by making a GET request to the /audit_events endpoint.
API format
GET /audit_events
Request
curl -X GET \
https://reactor.adobe.io/audit_events \
-H 'Authorization: Bearer {ACCESS_TOKEN}' \
-H 'x-api-key: {API_KEY}' \
-H 'x-gw-ims-org-id: {ORG_ID}' \
-H "Content-Type: application/vnd.api+json" \
-H 'Accept: application/vnd.api+json;revision=1'
Response
A successful response returns a list of audit events. The example response below has been truncated for space.
{
"data": [
{
"id": "AEa98742de8ef044d8b86767aa6a15a674",
"type": "audit_events",
"attributes": {
"attributed_to_display_name": "John Smith",
"attributed_to_email": "jsmith@example.com",
"created_at": "2020-12-14T17:31:21.836Z",
"display_name": "Kessel Apns App",
"type_of": "app_configuration.updated",
"updated_at": "2020-12-14T17:31:21.836Z",
"entity": "{\"data\":{\"id\":\"AC40c339ab80d24c958b90d67b698602eb\",\"type\":\"app_configurations\",\"links\":{\"self\":\"https://reactor.adobe.io/app_configurations/AC40c339ab80d24c958b90d67b698602eb\",\"company\":\"https://reactor.adobe.io/companies/CO2bf094214ffd4785bb4bcf88c952a7c1\"},\"attributes\":{\"name\":\"Kessel Apns App\",\"app_id\":\"com.adobe.test_app_2\",\"key_type\":\"p8_file\",\"platform\":\"mobile\",\"created_at\":\"2020-12-14T17:31:10.626Z\",\"updated_at\":\"2020-12-14T17:31:21.787Z\",\"messaging_service\":\"apns\"},\"relationships\":{\"company\":{\"data\":{\"id\":\"CO2bf094214ffd4785bb4bcf88c952a7c1\",\"type\":\"companies\"},\"links\":{\"related\":\"https://reactor.adobe.io/app_configurations/AC40c339ab80d24c958b90d67b698602eb/company\"}}}}}"
},
"relationships": {
"property": {
"links": {
"related": null
},
"data": null
},
"entity": {
"links": {
"related": null
},
"data": {
"type": "app_configurations",
"id": "AC40c339ab80d24c958b90d67b698602eb"
}
}
},
"links": {
"entity": "https://reactor.adobe.io/app_configurations/AC40c339ab80d24c958b90d67b698602eb",
"property": null,
"self": "https://reactor.adobe.io/audit_events/AEa98742de8ef044d8b86767aa6a15a674"
}
},
{
"id": "AE7320b6c1c3f84bb69405fcfe9cb58189",
"type": "audit_events",
"attributes": {
"attributed_to_display_name": "John Smith",
"attributed_to_email": "jsmith@example.com",
"created_at": "2020-12-14T17:31:10.672Z",
"display_name": "Kessel Apns App",
"type_of": "app_configuration.created",
"updated_at": "2020-12-14T17:31:10.672Z",
"entity": "{\"data\":{\"id\":\"AC40c339ab80d24c958b90d67b698602eb\",\"type\":\"app_configurations\",\"links\":{\"self\":\"https://reactor.adobe.io/app_configurations/AC40c339ab80d24c958b90d67b698602eb\",\"company\":\"https://reactor.adobe.io/companies/CO2bf094214ffd4785bb4bcf88c952a7c1\"},\"attributes\":{\"name\":\"Kessel Apns App\",\"app_id\":\"com.adobe.test_app\",\"key_type\":\"p8_file\",\"platform\":\"mobile\",\"created_at\":\"2020-12-14T17:31:10.626Z\",\"updated_at\":\"2020-12-14T17:31:10.626Z\",\"messaging_service\":\"apns\"},\"relationships\":{\"company\":{\"data\":{\"id\":\"CO2bf094214ffd4785bb4bcf88c952a7c1\",\"type\":\"companies\"},\"links\":{\"related\":\"https://reactor.adobe.io/app_configurations/AC40c339ab80d24c958b90d67b698602eb/company\"}}}}}"
},
"relationships": {
"property": {
"links": {
"related": null
},
"data": null
},
"entity": {
"links": {
"related": null
},
"data": {
"type": "app_configurations",
"id": "AC40c339ab80d24c958b90d67b698602eb"
}
}
},
"links": {
"entity": "https://reactor.adobe.io/app_configurations/AC40c339ab80d24c958b90d67b698602eb",
"property": null,
"self": "https://reactor.adobe.io/audit_events/AE7320b6c1c3f84bb69405fcfe9cb58189"
}
}
],
"links": {
"self": "https://reactor.adobe.io/audit_events?page%5Bnumber%5D=1&page%5Bsize%5D=25",
"next": "https://reactor.adobe.io/audit_events?page%5Bnumber%5D=2&page%5Bsize%5D=25",
"last": "https://reactor.adobe.io/audit_events?page%5Bnumber%5D=129&page%5Bsize%5D=25"
},
"meta": {
"pagination": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 2
}
}
}
Look up an audit event lookup
You can look up an audit event by providing its ID in the path of a GET request.
API format
GET /audit_events/{AUDIT_EVENT_ID}
AUDIT_EVENT_IDid of the audit event that you want to look up.Request
curl -X GET \
https://reactor.adobe.io/audit_events/AEa98742de8ef044d8b86767aa6a15a674 \
-H 'Authorization: Bearer {ACCESS_TOKEN}' \
-H 'x-api-key: {API_KEY}' \
-H 'x-gw-ims-org-id: {ORG_ID}' \
-H "Content-Type: application/vnd.api+json" \
-H 'Accept: application/vnd.api+json;revision=1'
Response
A successful response returns the details of the audit event.
{
"data": {
"id": "AEd6a3b381fb8241818d7520001f8bd459",
"type": "audit_events",
"attributes": {
"attributed_to_display_name": "John Smith",
"attributed_to_email": "jsmith@example.com",
"created_at": "2020-12-14T17:31:46.956Z",
"display_name": "Example Rule",
"type_of": "rule.created",
"updated_at": "2020-12-14T17:31:46.956Z",
"entity": "{\"data\":{\"id\":\"RL52d156a9074844b89ca20c987dbafd3b\",\"meta\":{\"latest_revision_number\":0},\"type\":\"rules\",\"links\":{\"self\":\"https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b\",\"origin\":\"https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b\",\"property\":\"https://reactor.adobe.io/properties/PR03cc61073ef74fd2af21e4cfb6ed97a7\",\"rule_components\":\"https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b/rule_components\"},\"attributes\":{\"name\":\"Example Rule\",\"dirty\":true,\"enabled\":true,\"published\":false,\"created_at\":\"2020-12-14T17:31:46.883Z\",\"deleted_at\":null,\"updated_at\":\"2020-12-14T17:31:46.883Z\",\"published_at\":null,\"review_status\":\"unsubmitted\",\"revision_number\":0},\"relationships\":{\"notes\":{\"links\":{\"related\":\"https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b/notes\"}},\"origin\":{\"data\":{\"id\":\"RL52d156a9074844b89ca20c987dbafd3b\",\"type\":\"rules\"},\"links\":{\"related\":\"https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b/origin\"}},\"property\":{\"data\":{\"id\":\"PR03cc61073ef74fd2af21e4cfb6ed97a7\",\"type\":\"properties\"},\"links\":{\"related\":\"https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b/property\"}},\"libraries\":{\"links\":{\"related\":\"https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b/libraries\"}},\"revisions\":{\"links\":{\"related\":\"https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b/revisions\"}},\"rule_components\":{\"links\":{\"related\":\"https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b/rule_components\"}}}}}"
},
"relationships": {
"property": {
"links": {
"related": "https://reactor.adobe.io/audit_events/AEd6a3b381fb8241818d7520001f8bd459/property"
},
"data": {
"id": "PR03cc61073ef74fd2af21e4cfb6ed97a7",
"type": "properties"
}
},
"entity": {
"links": {
"related": "https://reactor.adobe.io/audit_events/AEd6a3b381fb8241818d7520001f8bd459/rule"
},
"data": {
"type": "rules",
"id": "RL52d156a9074844b89ca20c987dbafd3b"
}
}
},
"links": {
"entity": "https://reactor.adobe.io/rules/RL52d156a9074844b89ca20c987dbafd3b",
"property": "https://reactor.adobe.io/properties/PR03cc61073ef74fd2af21e4cfb6ed97a7",
"self": "https://reactor.adobe.io/audit_events/AEd6a3b381fb8241818d7520001f8bd459"
},
"meta": {
"property_name": "Kessel Example Property"
}
}
}